<script>
import Layout from '@layouts/auth'
import axios from "axios";

export default {
  page: {
    title: 'Login Google',
  },
  components: { Layout },
  mounted() {
    this.loginUser();
  },
  methods : {
    async loginUser() {
      const response = await axios.get('api/login/google/redirect', { params : { code : this.$route.query.code } } );
      await this.$store.dispatch('auth/loginUser', { user: response.data.user })
      this.$router.push({ name: 'dashboard' });
    }
  }
}
</script>

<template>
  <Layout>
    <div class="row justify-content-center">
      <div class="col-md-8 col-lg-6 col-xl-5">
        <div class="card">
          <div class="card-body">
            <p>Connexion avec google en cours...</p>
          </div>
        </div>
      </div>
    </div>
  </Layout>
</template>
